Skip to main content
POST
/
api
/
shell
Run shell command
curl --request POST \
  --url https://api.example.com/api/shell \
  --header 'Content-Type: application/json' \
  --data '
{
  "command": "<string>",
  "timeout": 1,
  "cwd": "<string>",
  "metadata": {}
}
'
import requests

url = "https://api.example.com/api/shell"

payload = {
"command": "<string>",
"timeout": 1,
"cwd": "<string>",
"metadata": {}
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({command: '<string>', timeout: 1, cwd: '<string>', metadata: {}})
};

fetch('https://api.example.com/api/shell', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "location": {
    "directory": "<string>",
    "project": {
      "id": "<string>",
      "directory": "<string>"
    },
    "workspaceID": "<string>"
  },
  "data": {
    "id": "<string>",
    "command": "<string>",
    "cwd": "<string>",
    "shell": "<string>",
    "file": "<string>",
    "metadata": {},
    "time": {
      "started": 123,
      "completed": 123
    },
    "pid": 1,
    "exit": 123
  }
}
{
"_tag": "InvalidRequestError",
"message": "<string>",
"kind": "<string>",
"field": "<string>"
}
{
"_tag": "UnauthorizedError",
"message": "<string>"
}

Query Parameters

location
object | null

Body

application/json
command
string
required
timeout
integer
required
Required range: x >= 0
cwd
string
metadata
object

Response

Success

location
object
required
data
object
required